| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Public Attributes | List of all members
GaudiTesting.BaseTest.LineSkipper Class Reference
Inheritance diagram for GaudiTesting.BaseTest.LineSkipper:
[legend]
Collaboration diagram for GaudiTesting.BaseTest.LineSkipper:
[legend]

## Public Member Functions
def | __init__ (self, strings=[], regexps=[])
def | __processLine__ (self, line)
Public Member Functions inherited from GaudiTesting.BaseTest.FilePreprocessor
def | __processFile__ (self, lines)
def | __call__ (self, input)
def | __add__ (self, rhs)

## Public Attributes
| strings
| regexps

## Detailed Description

Definition at line 794 of file BaseTest.py.

## Constructor & Destructor Documentation

## ◆ __init__()

def GaudiTesting.BaseTest.LineSkipper.__init__ | ( |  | self,
|  |  | strings = `[]`,
|  |  | regexps = `[]`
| ) |  |

Definition at line 795 of file BaseTest.py.

795 def __init__(self, strings=[], regexps=[]):
796 import re
797 self.strings = strings
798 self.regexps = map(re.compile, regexps)
799
Containers::map
struct GAUDI_API map
Parametrisation class for map-like implementation.
Definition: KeyedObjectManager.h:25

## Member Function Documentation

## ◆ __processLine__()

def GaudiTesting.BaseTest.LineSkipper.__processLine__ | ( |  | self,
|  |  | line
| ) |  |

Reimplemented from GaudiTesting.BaseTest.FilePreprocessor.

Definition at line 800 of file BaseTest.py.

800 def __processLine__(self, line):
801 for s in self.strings:
802 if line.find(s) >= 0:
803 return None
804 for r in self.regexps:
805 if r.search(line):
806 return None
807 return line
808
809
GaudiTesting.BaseTest.__processLine__
__processLine__
Definition: BaseTest.py:854

## Member Data Documentation

## ◆ regexps

GaudiTesting.BaseTest.LineSkipper.regexps

Definition at line 798 of file BaseTest.py.

## ◆ strings

GaudiTesting.BaseTest.LineSkipper.strings

Definition at line 797 of file BaseTest.py.

The documentation for this class was generated from the following file:

- GaudiPolicy/python/GaudiTesting/BaseTest.py